package com.sunyard.chsm.utils;

/**
 * @author liulu
 * @version V1.0
 * @since 2022/12/6
 */
public abstract class DateFormatPattern {

    public static final String YYYY = "yyyy";
    public static final String YYYYMMDD = "yyyyMMdd";
    public static final String YYYY_MM_DD = "yyyy-MM-dd";
    public static final String YYYYIMMIDD = "yyyy/MM/dd";
    public static final String YYYYMMDDHHMM = "yyyyMMddHHmm";
    public static final String YYYYMMDDHHMMSS = "yyyyMMddHHmmss";
    public static final String YYYYMMDD_HHMMSS = "yyyyMMdd HHmmss";
    public static final String YYYY_MM_DD_HH_MM_SS = "yyyy-MM-dd HH:mm:ss";
    public static final String YYYY_MM_DD_HH_MM = "yyyy-MM-dd HH:mm";
    public static final String YYYYMMDDHHMMSS_SS = "yyyyMMddHHmmssSSS";
    public static final String HHMMSS_TIME_FORMAT = "HHmmss";
    public static final String YYYY_MM_DD_T_HH_MM_SS_Z = "yyyy-MM-dd'T'HH:mm:ss'Z'";
    public static final String YYYY_MM_DD_HH24_MM_SS = "yyyy-MM-d hh24:mm:ss";
    public static final String HH_MM = "HH:mm";
    public static final String HHMM = "HHmm";
    public static final String HH_MM_SS = "HH:mm:ss";
    public static final String ZERO_HH_MM_SS = " 00:00:00";
    public static final String YYMMDD = "yyMMdd";
    public static final String YYYY_CN_MM_CN_DD_CN = "yyyy年 MM 月 dd 日";
    public static final String MM_CN_DD_CN = "MM 月 dd 日";
    public static final String BEGIN_OF_DAY = "yyyy-MM-dd 00:00:00";
    public static final String END_OF_DAY = "yyyy-MM-dd 23:59:59";
    public static final String YYYYIMMIDDHHMMSS = "yyyy/MM/dd HH:mm:ss";


}
